import 'package:flutter/material.dart';

class TextParameters {
  String text;
  TextAlign textAlign;
  int maxLines;
  double fontSize;
  double height;
  Color textColor;
  FontWeight fontWeight;
  FontStyle fontStyle;
  String fontFamily;

  TextParameters({
    this.text,
    this.fontSize,
    this.height,
    this.maxLines,
    this.textColor,
    this.textAlign,
    this.fontStyle,
    this.fontWeight,
    this.fontFamily,
  });
}

Widget customText(TextParameters textParameters) {
  return Text(
    (textParameters.text != null) ? textParameters.text : 'Hello',
    maxLines: (textParameters.maxLines != null) ? textParameters.maxLines : 3,
    textAlign: (textParameters.textAlign != null)
        ? textParameters.textAlign
        : TextAlign.start,
    style: TextStyle(
      height: (textParameters.height != null) ? textParameters.height : 1.0,
      color: (textParameters.textColor != null)
          ? textParameters.textColor
          : Colors.black,
      fontSize:
          (textParameters.fontSize != null) ? textParameters.fontSize : 12.0,
      fontWeight: (textParameters.fontWeight != null)
          ? textParameters.fontWeight
          : FontWeight.normal,
      fontStyle: (textParameters.fontStyle != null)
          ? textParameters.fontStyle
          : FontStyle.normal,
      fontFamily: (textParameters.fontFamily != null)
          ? textParameters.fontFamily
          : 'Roboto',
    ),
  );
}
